#
# 3Com ADSL Modem USB spec file to build rpm package
#

Summary: 3Com ADSL Modem USB kernel space driver
Name: 3cp4218
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source: http://sourceforge.net/projects/cp4218
URL: http://cp4218.sourceforge.net
BuildArch: %{_arch}
#Distribution: My distribution
#Vendor: No available
#Packager: Josep Comas <jcomas@gna.es>
#Prefix: %{_prefix}
#BuildRoot: %{_builddir}/%{name}

%description
3Com ADSL Modem USB kernel space driver. This package
contains software to use 3Com ADSL Modem USB under Linux.
It supports several protocols.

#%prep
#%setup -n %{name}

#%build
#make clean
#make

#%install
#make install

%files
%defattr(755, root, root)

#init
/usr/sbin/3cload
/usr/sbin/3cioctl
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cload.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cioctl.mo

#firmware
%attr(644, root, root) /usr/sbin/ez-usb.bin
%attr(644, root, root) /usr/sbin/3cinit.bin
%attr(644, root, root) /usr/sbin/3cmain.bin

#module
%{module_normal}
%{module_debug}

#scripts
/usr/sbin/3cstart.sh
/usr/sbin/3cstop.sh
/usr/sbin/3cload.sh
/usr/sbin/3cunload.sh
/usr/sbin/3cnetup.sh
/usr/sbin/3cnet2up.sh
/usr/sbin/3cnet3up.sh
/usr/sbin/3cnet4up.sh
/usr/sbin/3cnetdown.sh
/usr/sbin/3cnet2down.sh
/usr/sbin/3cnet3down.sh
/usr/sbin/3cnet4down.sh
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cstart.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cstop.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cload.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cunload.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnetup.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnet2up.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnet3up.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnet4up.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnetdown.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnet2down.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnet3down.sh.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cnet4down.sh.mo

%config %attr(644, root, root) /etc/3cp4218

#service
/etc/cp4218.service

#bridged
/usr/sbin/br2684ctl

#panel
/usr/sbin/3cpanel
%attr(644, root, root) /usr/sbin/3cpanel.glade
%attr(644, root, root) /usr/sbin/3cp4218-tux-small-left-35.xpm
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cpanel.glade.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cpanel.mo

#config
/usr/sbin/3cconfig
%attr(644, root, root) /usr/sbin/3cconfig.glade
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cconfig.glade.mo
%attr(644, root, root) /usr/share/locale/es/LC_MESSAGES/3cconfig.mo

#falta doc

%post
/sbin/depmod -a
if [ -f /etc/debian_version ]; then
  install -c -m 755 -p /etc/cp4218.service /etc/init.d/cp4218;
  update-rc.d cp4218 defaults;
  update-rc.d -f atm remove;
else
  if [ -f /etc/redhat-release ]; then
    install -c -m 755 -p /etc/cp4218.service /etc/rc.d/init.d/cp4218;
    chkconfig --add cp4218;
  else
    if [ -f /etc/SuSE-release ] ; then
      install -c -m 755 -p /etc/cp4218.service /etc/init.d/cp4218;
      install -c -m 755 -p /etc/cp4218.service /etc/rc.d/cp4218;
      insserv cp4218;
    else
      if [ -f /etc/slackware-version ] ; then
        if grep -q -E "^ */usr/sbin/3cstart.sh *$" /etc/rc.d/rc.local; then
          cd /etc/rc.d;
          cp -f rc.local rc.local.tmp;
          echo "/usr/sbin/3cstart.sh" >> rc.local.tmp;
          mv -f rc.local.tmp rc.local;
        fi
      fi
    fi
  fi
fi

%preun
if [ -f /etc/debian_version ]; then
        update-rc.d -f cp4218 remove;
        rm -f /etc/init.d/cp4218;
else
        if [ -f /etc/redhat-release ]; then
                chkconfig --del cp4218;
                rm -f /etc/rc.d/init.d/cp4218;
        else
                if [ -f /etc/SuSE-release ] ; then
                        insserv -r cp4218;
                        rm -f /etc/init.d/cp4218;
                        rm -f /etc/rc.d/cp4218;
                else
                        if [ -f /etc/slackware-version ] ; then
                                cd /etc/rc.d;
                                grep -v -E "^ */usr/sbin/3cstart.sh *$" rc.local > rc.local.tmp;
                                mv -f rc.local.tmp rc.local;
                        fi
                fi
        fi
fi

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Josep Comas <jcomas@gna.es>
- Maintaining the rpm package myself.

